_EEPROM_AT24CM02_WriteByte:
;EEPROM_AT24CM02.c,30 :: 		void EEPROM_AT24CM02_WriteByte( unsigned short chipAddr, unsigned int wAddr, unsigned short wData) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;EEPROM_AT24CM02.c,32 :: 		I2C4_Start();                // issue I2C4 start signal
SW	R25, 4(SP)
JAL	_I2C4_Start+0
NOP	
;EEPROM_AT24CM02.c,33 :: 		I2C4_Write(EEPROM_WRITE | chipAddr);
ORI	R2, R25, 168
ANDI	R25, R2, 255
JAL	_I2C4_Write+0
NOP	
;EEPROM_AT24CM02.c,34 :: 		I2C4_Write((unsigned char)(wAddr >> 8));
ANDI	R2, R26, 65535
SRL	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C4_Write+0
NOP	
;EEPROM_AT24CM02.c,35 :: 		I2C4_Write((unsigned char)wAddr);
ANDI	R25, R26, 255
JAL	_I2C4_Write+0
NOP	
;EEPROM_AT24CM02.c,36 :: 		I2C4_Write(wData);           // send data (data to be written)
ANDI	R25, R27, 255
JAL	_I2C4_Write+0
NOP	
;EEPROM_AT24CM02.c,37 :: 		I2C4_Stop();
JAL	_I2C4_Stop+0
NOP	
;EEPROM_AT24CM02.c,38 :: 		}
L_end_EEPROM_AT24CM02_WriteByte:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _EEPROM_AT24CM02_WriteByte
_EEPROM_AT24CM02_ReadByte:
;EEPROM_AT24CM02.c,41 :: 		unsigned short EEPROM_AT24CM02_ReadByte( unsigned short chipAddr, unsigned int rAddr) {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;EEPROM_AT24CM02.c,44 :: 		I2C4_Start();                // issue I2C4 start signal
SW	R25, 4(SP)
JAL	_I2C4_Start+0
NOP	
;EEPROM_AT24CM02.c,45 :: 		I2C4_Write(EEPROM_WRITE | chipAddr);
ORI	R2, R25, 168
SB	R25, 8(SP)
ANDI	R25, R2, 255
JAL	_I2C4_Write+0
NOP	
;EEPROM_AT24CM02.c,46 :: 		I2C4_Write((unsigned char)(rAddr >> 8));
ANDI	R2, R26, 65535
SRL	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C4_Write+0
NOP	
;EEPROM_AT24CM02.c,47 :: 		I2C4_Write((unsigned char)rAddr);
ANDI	R25, R26, 255
JAL	_I2C4_Write+0
NOP	
LBU	R25, 8(SP)
;EEPROM_AT24CM02.c,49 :: 		I2C4_Restart();              // issue I2C4 signal repeated start
JAL	_I2C4_Restart+0
NOP	
;EEPROM_AT24CM02.c,50 :: 		I2C4_Write(EEPROM_READ | chipAddr);            // send byte (device address + R)
ORI	R2, R25, 169
ANDI	R25, R2, 255
JAL	_I2C4_Write+0
NOP	
;EEPROM_AT24CM02.c,52 :: 		reslt = I2C4_Read(1);        // Read the data (NO acknowledge)
ORI	R25, R0, 1
JAL	_I2C4_Read+0
NOP	
; reslt start address is: 16 (R4)
ANDI	R4, R2, 255
; reslt end address is: 16 (R4)
;EEPROM_AT24CM02.c,53 :: 		while (!I2C4_Is_Idle())
L_EEPROM_AT24CM02_ReadByte0:
; reslt start address is: 16 (R4)
JAL	_I2C4_Is_Idle+0
NOP	
BEQ	R2, R0, L__EEPROM_AT24CM02_ReadByte4
NOP	
J	L_EEPROM_AT24CM02_ReadByte1
NOP	
L__EEPROM_AT24CM02_ReadByte4:
;EEPROM_AT24CM02.c,54 :: 		asm nop;                   // Wait for the read cycle to finish
NOP	
J	L_EEPROM_AT24CM02_ReadByte0
NOP	
L_EEPROM_AT24CM02_ReadByte1:
;EEPROM_AT24CM02.c,55 :: 		I2C4_Stop();
JAL	_I2C4_Stop+0
NOP	
;EEPROM_AT24CM02.c,56 :: 		return reslt;
ANDI	R2, R4, 255
; reslt end address is: 16 (R4)
;EEPROM_AT24CM02.c,59 :: 		}
;EEPROM_AT24CM02.c,56 :: 		return reslt;
;EEPROM_AT24CM02.c,59 :: 		}
L_end_EEPROM_AT24CM02_ReadByte:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _EEPROM_AT24CM02_ReadByte
